Subject: Re: Textual Address Change for Scope-IDs

From: Erik Nordmark <[email-masked]>
Date: Wed, 1 Dec 1999 23:28:42 -0800 (PST)

> IPv6 can work but I strongly urge you to help me and anyone else shoot
> these site-local addresses in the head.  We have enough global address
> space with IPv6 that we can re-create a Net-10 within the IPv6
> exponential number of addresses.
> 
> As far as renumbering the only way to solve that is develop further
> addrconf and router-renumbering and get folks to stop hard coding
> address semantics in configuration files via sys admins.  IPv6 can be
> extended to do this and this is a wonderful part of our basic
> architecture.

The problem as I see it is the difference in effort between:
1. porting a socket application to IPv6
2. making an application/system/box not store IP(v4 or v6) addresses
   in configuration files, memory, or anywhere else for an extended period
   of time.

#1 is trvial for most applications - it can almost be automated by a script
in many cases.
But #2 I have no idea how to track down - I can't easily search for patterns
in the code.
So if we think #2 is needed due to IPv6 renumbering being needed as the net
grows my concern is that it can't be done and tested well in advance.
As a result, the first time a large site renumbers things will fail.
Then they might sue to convince the ISPs that they can not be forced to
renumbers for any reason. The net effect is that site renumbering will
get a bad reputation. This might prevent the renumbering that is needed
to have the net continue to grow.

That's why I think we need site-local addresses - ensure that communication
local to a site is not affected by the site renumbering.
(This assumes that the "broken" applications/systems/boxes are  onlyused within
a site.)
  
   Erik

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Francis Dupont <[email-masked]>
Date: Wed, 08 Dec 1999 21:43:56 +0100

In your previous mail you wrote:

   >	  - when user specifies numeric IPv6 address, (1) user must specify
   >	    scope id explicitly, or (2) system default setting (like routing
   >	    table) must pick single scope id.
   
   Agree with you.
   
=> the problem is getipnodebyname() (my favorite API) cannot cope with (1)
then we can shoot it down or fix it.

   >	- sending NDs to multiple interfaces is a bad idea.
   
=> It is. I tried it and it was exactly the perfect example of a bad idea:
it seemed to work but it didn't work in every cases and of course when
it didn't work you couldn't understand why...
The introduction of scope ID and discussions about weak/strong models
have given the way to correctly deal with scopes, the only remaining
problem is with textual addresses.
   
   >	There are specs that use site-locals.  To name a few:
   >	- router renumbering
   >	- DHCPv6
   
=> if DHCPv6 is done per interface and if a site-boundary must be at
the right place (as in last proposals) then DHCPv6 site-local multicasts
will be like link-local (ie. there is no new problem).
   
Regards

[email-masked]